Bug 34047 - System.Globalization.CultureInfo.GetCultureInfo("es") returns incorrect NumberFormatInfo.NumberGroupSeparator
Summary: System.Globalization.CultureInfo.GetCultureInfo("es") returns incorrect Numbe...
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: mscorlib (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2015-09-18 01:06 UTC by Cody Beyer (MSFT)
Modified: 2015-09-23 00:16 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Cody Beyer (MSFT) 2015-09-18 01:06:56 UTC
### Description

Using System.Globalization.CultureInfo.GetCultureInfo("es") to get the NumberGroupSeparator, the wrong separator is returned (space instead of ".")

### Sample

https://www.dropbox.com/s/rws6dix3xgz09uz/TestMobileApp.zip?dl=0

### Screenshot

https://db.tt/6fgYWD13

### Steps to Reproduce

1. Download sample
2. Set breakpint at line 24 of TestLocalization.cs
3. Run sample in Simulator
4. When breakpoint is hit, check value of formatted

### Expected Result

Formatted should be 10.000 

### Actual Result

Formatted is 10 000

### Versions

=== Xamarin Studio ===

Version 5.9.7 (build 9)
Installation UUID: bd6edd59-9994-499d-aff8-843b6a1ecfd5
Runtime:
	Mono 4.0.4 ((detached/cb6d6b2)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 400040002

=== Xamarin.Android ===

Version: 5.1.6.7 (Business Edition)
Android SDK: /Users/codybeyer/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		4.0.3 (API level 15)
		4.4   (API level 19)
		5.0   (API level 21)
Java SDK: /usr
java version "1.7.0_71"
Java(TM) SE Runtime Environment (build 1.7.0_71-b14)
Java HotSpot(TM) 64-Bit Server VM (build 24.71-b01, mixed mode)

=== Xamarin Android Player ===

Version: Unknown version
Location: /Applications/Xamarin Android Player.app

=== Apple Developer Tools ===

Xcode 7.0 (8227)
Build 7A220

=== Xamarin.iOS ===

Version: 9.0.1.18 (Business Edition)
Hash: d230615
Branch: master
Build date: 2015-09-16 17:04:13-0400

=== Xamarin.Mac ===

Version: 2.0.2.111 (Business Edition)

=== Build Information ===

Release ID: 509070009
Git revision: 31fa64709030b3edb971237780a452a4c69943c4
Build date: 2015-09-17 11:44:37-04
Xamarin addins: b105d33d8cd72911ff2cf3ee0b7715d37e5f19a6

=== Operating System ===

Mac OS X 10.10.5
Darwin Codys-MacBook-Pro.local 14.5.0 Darwin Kernel Version 14.5.0
    Wed Jul 29 02:26:53 PDT 2015
    root:xnu-2782.40.9~1/RELEASE_X86_64 x86_64
Comment 1 Marek Safar 2015-09-21 04:01:19 UTC
Fixed in master/e0f9637ee98732eb2595b4becd026944d8ff1db7 and mono-4.2/e0f9637ee98732eb2595b4becd026944d8ff1db7